Content-type: text/html; charset=UTF-8

# eiskaltdcpp-gtk

Section: User Commands (1)
Updated: 28 Apr 2019
Index Return to Main Contents

## NAME

EiskaltDC++_Gtk - GUI based on Gtk (based on FreeDC++ and LinuxDC++)

## SYNOPSIS

eiskaltdcpp-gtk <magnet link> <dchub://link> <adc(s)://link>
eiskaltdcpp-gtk <Key>

## DESCRIPTION

EiskaltDC++ is a cross-platform program that uses the Direct Connect and ADC protocols. It is compatible with DC++, AirDC++, FlylinkDC++ and other DC clients. EiskaltDC++ also interoperates with all common DC hub software.

## COMMAND LINE OPTIONS

A summary of options is included below.

-h, --help
  display help and exit
-V, --version
  output version information and exit

## KEYBOARD SHORTCUTS

These are default keyboard shortcuts. You can change them in any text editor. For example:
sudo nano /usr/share/eiskaltdcpp/gtk/ui/mainwindow.ui

Ctrl+O
  Open options window
Ctrl+L
  Open own filelist
Ctrl+E
  Refresh share
Ctrl+R
  Reconnect to hub
Ctrl+N
  Quick connect
Ctrl+H
  Favourite hubs
Ctrl+P
  Public hubs
Ctrl+U
  Favourite users
Ctrl+D
  Show/hide downloads queue widget
Ctrl+S
  Open search widget
Ctrl+F
  Show/hide find or filter frame
Ctrl+A
  Select all
Ctrl+W
  Close current widget
Ctrl+PageUp
  Switch to the previous widget. Available only if widget panel is used, not working in mode of sidebar.
Ctrl+PageDown
  Switch to the next widget. Available only if widget panel is used, not working in mode of sidebar.
Up
  Switch to the previous string from history of sent messages in chat for current session. Available only when input frame is focused on.
Down
  Switch to the next string from history of sent messages in chat for current session. Available only when input frame is focused on.

## CHAT COMMANDS

/away <message> - Away mode message on/off
/back - Away mode off
/browse <nick> - browse user files
/clear - Clear chat
/close - Close chat
/favorite, /fav - Add a hub to favorites
/fuser, /fu <nick> - Add user to favorites list
/removefu, /rmfu <nick> - Remove user favorite
/listfu, /lsfu - Show favorites list
/getlist <nick> - Get file list
/grant <nick> - Grant extra slot
/help - Show help
/join <address> - Connect to the hub
/me <message> - Say a third person
/pm <nick> - Private message
/rebuild - Rebuild hash
/refresh - Update own file list
/userlist - User list show/hide
/version - Show version
/emoticons, /emot - Emoticons on/off
/luafile <file> - Load Lua file
/lua <chunk> - Execute Lua Chunk
/sh - Execute code (bash)
/alias list - Alias List
/alias purge A - Alias Remove A
/alias A::uname -a - Alias add uname -a as A
/A - Alias A executing
/ip on/off - Ipfilter on/off
/ip list - Show ipfilter rules list
/ip up/down - Move rule up/down
/ip purge 192.168.1.0/23;192.168.6.0/24 - Remove rules from list
/ip 192.168.1.0/23::in;!192.168.6.0/24::both - Add rule 192.168.1.0/23 where direction incoming and action is allow and 192.168.6.0/24 where direction is incoming or outcoming and action is drop
/dcpps <param> [value] - set Core option param in value (without value return current value of option)
New settings will be applied immediately and will be stored in config
(i.e. ~/.config/eiskaltdc++/DCPlusPlus.xml) as well.
For example:
/dcpps MinimumSearchInterval 5 (specify minimal search interval to 5 seconds)
/ws <param> [value] - set GUI option param in value (without value return current value of option)
New settings will be applied immediately and will be stored in config
(i.e. ~/.config/eiskaltdc++/EiskaltDC++_Gtk.xml) as well.
For example:
/ws sound-command aplay (specify program for sound playing)

## FILES

/usr/share/eiskaltdcpp/gtk
  Directory with some resource files
~/.config/eiskaltdc++/ or $XDG_CONFIG_HOME/eiskaltdc++/
  Directory with configuration files
/usr/share/eiskaltdcpp/examples
  Directory with examples of custom scripts (see /sh chat command)

## AUTHOR

Full list of authors you can find in file Credits.txt
EiskaltDC++ homepage: https://github.com/eiskaltdcpp/eiskaltdcpp/

## BUG REPORTS

If you find a bug in EiskaltDC++ please report it here: https://github.com/eiskaltdcpp/eiskaltdcpp/issues

This manual page was written by Boris Pek <tehnick-8@yandex.ru> for the Debian project (and may be used by others).

## Index

NAME
SYNOPSIS
DESCRIPTION
COMMAND LINE OPTIONS
KEYBOARD SHORTCUTS
CHAT COMMANDS
FILES
AUTHOR
BUG REPORTS

This document was created by man2html, using the manual pages.
Time: 10:44:26 GMT, April 28, 2019